package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 园区活动板块附件 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtActivityAttachmentQueryParam对象", description = "园区活动板块附件查询参数")
public class DtActivityAttachmentQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键Id")
    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "主键Id不能为空")
    private Long id;

    @ApiModelProperty(value = "附件名称")
    private String activityAttachmentName;

    @ApiModelProperty(value = "附件存放地址")
    private String activityAttachmentAddress;

    @ApiModelProperty(value = "附件上传时间")
    private Date uploadTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "显示类型 0  不显示 1 显示  ，显示是指数据审核通过后 发布正式网站")
    private Integer displayType;

    @ApiModelProperty(value = "组Id ，用于识别 草稿和发布信息是否属于同一组 ，便于数组删除")
    private String groupId;

    @ApiModelProperty(value = "园区活动随机Id")
    @NotBlank(message = "园区活动随机Id不能为空")
    private String parkActivityId;


}
