package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 基本信息审核表 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtInfoAuditQueryParam对象", description = "基本信息审核表查询参数")
public class DtInfoAuditBackParam extends QueryParam {
    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "信息状态 0 默认 1草稿 2提交")
    private Integer infoState;

    @ApiModelProperty(value = "审核状态 0 待审核 1审核通过 2 审核不通过 审核通过后 需要将数据提交到正式数据 目前做先删除再添加")
    private Integer auditState;


    @ApiModelProperty(value = "0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理")
    private Integer auditType;


    @ApiModelProperty(value = "开始提交时间")
    private Date startSubmitTime;

    @ApiModelProperty(value = "结束提交时间")
    private Date endSubmitTime;

    private String organizeName;

    /**
     * 用户名
     */
    private String userName;

    private String nickName;

    private String phone;

    private String regionId;

}
