package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 基本信息审核表 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2020-01-03
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtInfoAuditQueryParam对象", description = "基本信息审核表查询参数")
public class DtInfoAuditQueryAuiditParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "企业id")
    private Long organizeId;

    @ApiModelProperty(value = "信息状态 1 默认 2草稿 3提交")
    private Integer infoState;

    @ApiModelProperty(value = "审核状态 1待审核 2审核通过 3 审核不通过 审核通过后 需要将数据提交到正式数据 目前做先删除再添加")
    private Integer auditState;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "审核人员ID")
    private Long auditId;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "提交人员Id")
    private Long submitUserId;

    @ApiModelProperty(value = "0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理")
    private Integer auditType;


    @ApiModelProperty(value = "审核意见")
    private String opinion;

    @ApiModelProperty(value = "信息完成度")
    private BigDecimal finishRatio;


}
