package com.xdf.creative.base.params.dt;

import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 园区活动 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtParkActivityQueryParam对象", description = "园区活动查询参数")
public class DtParkActivitWebParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "企业id")
    @NotNull(message = "组织id不能为空！")
    private Long organizeId;

    @ApiModelProperty(value = "活动标题")
    private String title;

    @ApiModelProperty(value = "更新开始时间")
    private Date startUpdateTime;

    @ApiModelProperty(value = "更新开始时间")
    private Date endUpdateTime;

    @ApiModelProperty(value = "操作类型 0：初始 1：增加 2：修改 3：删除")
    private Integer operateType;

    private String userName;

    private String organizeName;

    private String nickName;


}
