package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import com.xdf.creative.module.entity.DtActivityAttachment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 园区活动 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtParkActivityQueryParam对象", description = "园区活动查询参数")
public class DtParkActivityAddParam extends QueryParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "banner图")
    private String bannerPath;

    @ApiModelProperty(value = "活动标题")
    private String title;

    @ApiModelProperty(value = "发布时间")
    private Date publishTime;

    @ApiModelProperty(value = "内容")
    private String content;

    private List<DtActivityAttachment> dtActivityAttachmentList;


}
