package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 园区活动 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtParkActivityQueryParam对象", description = "园区活动查询参数")
public class DtParkActivityQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "企业id")
    private Long organizeId;

    @ApiModelProperty(value = "banner图")
    private String bannerPath;

    @ApiModelProperty(value = "活动标题")
    private String title;

    @ApiModelProperty(value = "发布时间")
    private Date publishTime;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "显示类型 0  不显示 1 显示  ，显示是指数据审核通过后 发布正式网站")
    private Integer displayType;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "操作类型 0：初始 1：增加 2：修改 3：删除")
    private Integer operateType;

    @ApiModelProperty(value = "组Id ，用于识别 草稿和发布信息是否属于同一组 ，便于数组删除")
    private String groupId;

    @ApiModelProperty(value = "外键标识ID")
    @NotBlank(message = "外键标识ID不能为空")
    private String foreignId;


}
