package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 园区企业申诉文件 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-20
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtParkCompanyQueryParam对象", description = "园区企业申诉文件查询参数")
public class DtParkCompanyQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "状态 0 不可用 1可用")
    private Integer state;

    private String organizeName;

    private String nickName;

    private String userName;
}
