package com.xdf.creative.base.vo.dt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 基本信息审核表 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "DtInfoAuditQueryVo对象", description = "基本信息审核表查询参数")
public class DtInfoAuditBackVo implements Serializable {
    private static final long serialVersionUID = 1L;

   private Long id;

    @ApiModelProperty(value = "企业id")
    private Long organizeId;

    @ApiModelProperty(value = "信息状态 0 默认 1草稿 2提交")
    private Integer infoState;

    @ApiModelProperty(value = "审核状态 0 待审核 1审核通过 2 审核不通过 审核通过后 需要将数据提交到正式数据 目前做先删除再添加")
    private Integer auditState;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "审核人员ID")
    private Long auditId;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "提交人员Id")
    private Long submitUserId;

    @ApiModelProperty(value = "0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理")
    private Integer auditType;

    @ApiModelProperty(value = "信息是否被认证过 0 否 1是 指有没有被发布到首页")
    private Integer infoVerify;

    @ApiModelProperty(value = "审核意见")
    private String opinion;

    private String organizeName;

    /**
     * 用户名
     */
    private String userName;

    private String nickName;

    private String phone;

}