package com.xdf.creative.base.vo.dt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 园区表_syr made 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "DtParkInfoDraftQueryVo对象", description = "园区表_syr made查询参数")
public class DtParkInfoDraftQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "园区名称")
    private String name;

    @ApiModelProperty(value = "省ID")
    private Long provinceId;

    @ApiModelProperty(value = "市ID")
    private Long cityId;

    @ApiModelProperty(value = "区县ID")
    private Long districtId;

    @ApiModelProperty(value = "区名称")
    private String districtName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "经度")
    private Double longitude;

    @ApiModelProperty(value = "纬度")
    private Double latitude;

    @ApiModelProperty(value = "新_老园区")
    private String oldNew;

    @ApiModelProperty(value = "联系人")
    private String contactor;

    @ApiModelProperty(value = "职务")
    private String contactorPos;

    @ApiModelProperty(value = "手机")
    private String mobile;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "建筑面积平方米")
    private Double areaBuild;

    @ApiModelProperty(value = "占地面积")
    private Double areaOcup;

    @ApiModelProperty(value = "产证面积")
    private Double areaLice;

    @ApiModelProperty(value = "已出租面积")
    private Double areaLease;

    @ApiModelProperty(value = "入驻企业个数")
    private Integer cntComJoin;

    @ApiModelProperty(value = "文创企业个数")
    private Integer cntComCult;

    @ApiModelProperty(value = "运营管理公司从业人数")
    private Integer cntMgStaff;

    @ApiModelProperty(value = "入驻企业从业人员数")
    private Integer cntJoinStaff;

    @ApiModelProperty(value = "公共服务平台个数")
    private Integer cntPubPlat;

    @ApiModelProperty(value = "园区品牌企业个数")
    private Integer cntBandsCom;

    @ApiModelProperty(value = "园区企业高级人才数")
    private Integer cntHighStaff;

    @ApiModelProperty(value = "申报单位")
    private String parentCom;

    @ApiModelProperty(value = "状态：1已满 0未满")
    private Integer enterStatus;

    @ApiModelProperty(value = "状态：1正常 0待审核 -1已删除")
    private Integer status;


    @ApiModelProperty(value = "政策")
    private String policy;


    @ApiModelProperty(value = "服务")
    private String serve;



    @ApiModelProperty(value = "简介")
    private String intro;

    @ApiModelProperty(value = "添加时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "完整地址")
    private String newAddress;

    @ApiModelProperty(value = "操作类型 0：初始 1：增加 2：修改 3：删除")
    private Integer operateType;

    @ApiModelProperty(value = "组织机构ID")
    private Long organizeId;

    @ApiModelProperty(value = "组织机构ID")
    private Long dateParkId;


    private String logo;

    @ApiModelProperty(value = "二维码")
    private String qr;

    @ApiModelProperty(value = "补充地址")
    private String addressAp;

}