package com.xdf.creative.base.vo.dt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 园区表_syr made 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "ParkDataTeamQueryVo对象", description = "园区表_syr made查询参数")
public class ParkDataTeamWebVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "园区名称")
    private String name;

    @ApiModelProperty(value = "省ID")
    private Long provinceId;

    @ApiModelProperty(value = "市ID")
    private Long cityId;

    @ApiModelProperty(value = "区县ID")
    private Long districtId;

    @ApiModelProperty(value = "区名称")
    private String districtName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "经度")
    private Double longitude;

    @ApiModelProperty(value = "纬度")
    private Double latitude;


    @ApiModelProperty(value = "联系人")
    private String contactor;

    @ApiModelProperty(value = "职务")
    private String contactorPos;

    @ApiModelProperty(value = "手机")
    private String mobile;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "入驻企业个数")
    private Integer cntComJoin;

    @ApiModelProperty(value = "文创企业个数")
    private Integer cntComCult;

    @ApiModelProperty(value = "申报单位")
    private String parentCom;

    @ApiModelProperty(value = "状态：1已满 0未满")
    private Integer enterStatus;


    @ApiModelProperty(value = "政策")
    private String policy;


    @ApiModelProperty(value = "服务")
    private String serve;

    private String logo;


    @ApiModelProperty(value = "简介")
    private String intro;

    private Long organizeId;

    private String qr;

    private String addressAp;

    private Integer parkType;




}