package com.xdf.creative.module.controller;

import com.google.code.kaptcha.Constants;
import com.google.code.kaptcha.Producer;
import com.xdf.creative.base.params.VerifyCode;
import com.xdf.creative.module.service.IVerifyCodeGen;
import com.xdf.creative.module.service.impl.SimpleCharVerifyCodeGenImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.imageio.ImageIO;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.awt.image.BufferedImage;
import java.io.IOException;

/**
 * @author : lgw
 * @date : 11:00 2020/4/11
 */

@Slf4j
@RestController
@RequestMapping("/auth")
@Api("验证吗 API")
public class CodeController {

        @Autowired
        private Producer captchaProducer = null;

        private Logger logger = LoggerFactory.getLogger(CodeController.class);

 /*       @RequestMapping("/code")
        public void getKaptchaImage(HttpServletRequest request, HttpServletResponse response) throws Exception {
            HttpSession session = request.getSession();
            response.setDateHeader("Expires", 0);
            response.setHeader("Cache-Control", "no-store, no-cache, must-revalidate");
            response.addHeader("Cache-Control", "post-check=0, pre-check=0");
            response.setHeader("Pragma", "no-cache");
            response.setContentType("image/jpeg");
            //生成验证码
            String capText = captchaProducer.createText();
            session.setAttribute(Constants.KAPTCHA_SESSION_KEY, capText);
            //向客户端写出
            BufferedImage bi = captchaProducer.createImage(capText);
            ServletOutputStream out = response.getOutputStream();
            ImageIO.write(bi, "jpg", out);
            try {
                out.flush();
            } finally {
                out.close();
            }
        }*/

        @ApiOperation(value = "验证码")
        @RequestMapping("/code")
        public void verifyCode(HttpServletRequest request, HttpServletResponse response) {
            IVerifyCodeGen iVerifyCodeGen = new SimpleCharVerifyCodeGenImpl();
            try {
                //设置长宽
                VerifyCode verifyCode = iVerifyCodeGen.generate(100, 50);
                String code = verifyCode.getCode();
                logger.info(code);
                //将VerifyCode绑定session
                request.getSession().setAttribute(com.google.code.kaptcha.Constants.KAPTCHA_SESSION_KEY, code);
                //设置响应头
                response.setHeader("Pragma", "no-cache");
                //设置响应头
                response.setHeader("Cache-Control", "no-cache");
                //在代理服务器端防止缓冲
                response.setDateHeader("Expires", 0);
                //设置响应内容类型
                response.setContentType("image/jpeg");
                response.getOutputStream().write(verifyCode.getImgBytes());
                response.getOutputStream().flush();
            } catch (IOException e) {
                logger.info("", e);
            }
        }
    }