package com.xdf.creative.module.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xdf.creative.base.controller.BaseController;
import com.xdf.creative.base.params.IdParam;
import com.xdf.creative.base.params.dt.ParkDataTeamQueryParam;
import com.xdf.creative.base.params.dt.ParkDataTeamWebParam;
import com.xdf.creative.base.vo.dt.ParkDataTeamQueryVo;
import com.xdf.creative.base.vo.dt.ParkDataTeamWebVo;
import com.xdf.creative.module.entity.DtParkInfoDraft;
import com.xdf.creative.module.entity.ParkDataTeam;
import com.xdf.creative.module.service.DtParkInfoDraftService;
import com.xdf.creative.module.service.ParkDataTeamService;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 园区表_syr made 前端控制器
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Slf4j
@RestController
@RequestMapping("/parkDataTeam")
@Api("园区表_syr made API")
public class ParkDataTeamController extends BaseController {

    @Autowired
    private ParkDataTeamService parkDataTeamService;

    @Autowired
    private DtParkInfoDraftService dtParkInfoDraftService;


    /**
     * 园区表_syr made分页列表
     */
    @PostMapping("/getWebPageList")
    @ApiOperation(value = "获取ParkDataTeam分页列表", notes = "园区表_syr made分页列表", response = ParkDataTeamQueryVo.class)
    public ApiResult<PageTool<ParkDataTeamWebVo>> getWebPageList(@Valid @RequestBody ParkDataTeamWebParam parkDataTeamWebParam) throws Exception {
        PageTool<ParkDataTeamWebVo> pageList = parkDataTeamService.getWebPageList(parkDataTeamWebParam);
        return ApiResult.ok(pageList);
    }




    /**
     * 获取园区表_syr made
     */
    @PostMapping("/info")
    @ApiOperation(value = "获取ParkDataTeam对象详情", notes = "查看园区表_syr made", response = ParkDataTeamQueryVo.class)
    public ApiResult<ParkDataTeamQueryVo> getParkDataTeam(@Valid @RequestBody IdParam idParam) throws Exception {
        ParkDataTeamQueryVo parkDataTeamQueryVo = parkDataTeamService.getParkDataTeamById(idParam.getId());
        DtParkInfoDraft dtParkInfoDraft= dtParkInfoDraftService.getOne(new QueryWrapper<DtParkInfoDraft>().eq("date_park_id",parkDataTeamQueryVo.getId()));
        parkDataTeamQueryVo.setOrganizeId(dtParkInfoDraft.getOrganizeId());
        return ApiResult.ok(parkDataTeamQueryVo);
    }




    /**
     * 园区表_syr made分页列表
     */
    @PostMapping("/getPageList")
    @ApiOperation(value = "获取ParkDataTeam分页列表", notes = "园区表_syr made分页列表", response = ParkDataTeamQueryVo.class)
    public ApiResult<PageTool<ParkDataTeamQueryVo>> getParkDataTeamPageList(@Valid @RequestBody ParkDataTeamQueryParam parkDataTeamQueryParam) throws Exception {
        PageTool<ParkDataTeamQueryVo> pageList = parkDataTeamService.getParkDataTeamPageList(parkDataTeamQueryParam);
        return ApiResult.ok(pageList);
    }

}

