package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 园区活动板块附件
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtActivityAttachment对象", description = "园区活动板块附件")
public class DtActivityAttachment extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键Id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "附件名称")
    private String activityAttachmentName;

    @ApiModelProperty(value = "附件存放地址")
    private String activityAttachmentAddress;

    @ApiModelProperty(value = "附件上传时间")
    private Date uploadTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "显示类型 0  不显示 1 显示  ，显示是指数据审核通过后 发布正式网站")
    private Integer displayType;

    @ApiModelProperty(value = "组Id ，用于识别 草稿和发布信息是否属于同一组 ，便于数组删除")
    private String groupId;

    @ApiModelProperty(value = "园区活动随机Id")

    private String parkActivityId;

}
