package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtActivityAttachmentQueryParam;
import com.xdf.creative.base.vo.dt.DtActivityAttachmentQueryVo;
import com.xdf.creative.module.entity.DtActivityAttachment;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 园区活动板块附件 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Repository
public interface DtActivityAttachmentMapper extends BaseMapper<DtActivityAttachment> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtActivityAttachmentQueryVo getDtActivityAttachmentById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param dtActivityAttachmentQueryParam
     * @return
     */
    IPage<DtActivityAttachmentQueryVo> getDtActivityAttachmentPageList(@Param("page") Page page, @Param("param") DtActivityAttachmentQueryParam dtActivityAttachmentQueryParam);

}
