package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtInfoAuditBackParam;
import com.xdf.creative.base.params.dt.DtInfoAuditQueryOrganizeIdParam;
import com.xdf.creative.base.params.dt.DtInfoAuditQueryParam;
import com.xdf.creative.base.vo.dt.DtInfoAuditBackVo;
import com.xdf.creative.base.vo.dt.DtInfoAuditQueryVo;
import com.xdf.creative.module.entity.DtInfoAudit;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 基本信息审核表 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Repository
public interface DtInfoAuditMapper extends BaseMapper<DtInfoAudit> {


    /**
     * 后台审核自主信息列表
     * @param page
     * @param dtInfoAuditBackParam
     * @return
     */
    IPage<DtInfoAuditBackVo> getAuditPageList(@Param("page") Page page, @Param("param") DtInfoAuditBackParam dtInfoAuditBackParam);

    /**
     * 根据企业信息取得审核信息
     *
     * @param dtInfoAuditQueryOrganizeIdParam
     * @return
     */
    List<DtInfoAudit> getInfoAuditByOrganize(DtInfoAuditQueryOrganizeIdParam dtInfoAuditQueryOrganizeIdParam);


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtInfoAuditQueryVo getDtInfoAuditById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param dtInfoAuditQueryParam
     * @return
     */
    IPage<DtInfoAuditQueryVo> getDtInfoAuditPageList(@Param("page") Page page, @Param("param") DtInfoAuditQueryParam dtInfoAuditQueryParam);

}
