package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtParkActivitBackParam;
import com.xdf.creative.base.params.dt.DtParkActivitWebParam;
import com.xdf.creative.base.params.dt.DtParkActivityQueryParam;
import com.xdf.creative.base.vo.dt.DtParkActivityBackVo;
import com.xdf.creative.base.vo.dt.DtParkActivityQueryVo;
import com.xdf.creative.base.vo.dt.DtParkActivityWebVo;
import com.xdf.creative.module.entity.DtParkActivity;
import com.xdf.creative.util.page.PageTool;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 园区活动 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Repository
public interface DtParkActivityMapper extends BaseMapper<DtParkActivity> {


    /**
     * 获取分页对象
     * 后台获取活动列表
     * @param dtParkActivitBackParam
     * @return
     */
    IPage<DtParkActivityBackVo> getBackPageList(@Param("page") Page page, @Param("param") DtParkActivitBackParam dtParkActivitBackParam) throws Exception;



    /**
     * 首页获取活动列表
     *
     * @param dtParkActivitWebParam
     * @return
     */
    IPage<DtParkActivityWebVo> getWebPageList(@Param("page") Page page, @Param("param") DtParkActivitWebParam dtParkActivitWebParam) throws Exception;




    /**
     * 用户获取活动列表
     *
     * @param dtParkActivitWebParam
     * @return
     */
    IPage<DtParkActivityWebVo> getUserPageList(@Param("page") Page page, @Param("param") DtParkActivitWebParam dtParkActivitWebParam) throws Exception;


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtParkActivityQueryVo getDtParkActivityById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param dtParkActivityQueryParam
     * @return
     */
    IPage<DtParkActivityQueryVo> getDtParkActivityPageList(@Param("page") Page page, @Param("param") DtParkActivityQueryParam dtParkActivityQueryParam);

}
