package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtParkCompanyQueryParam;
import com.xdf.creative.base.vo.dt.DtParkCompanyQueryVo;
import com.xdf.creative.module.entity.DtParkCompany;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 园区企业申诉文件 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-20
 */
@Repository
public interface DtParkCompanyMapper extends BaseMapper<DtParkCompany> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtParkCompanyQueryVo getDtParkCompanyById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param dtParkCompanyQueryParam
     * @return
     */
    IPage<DtParkCompanyQueryVo> getDtParkCompanyPageList(@Param("page") Page page, @Param("param") DtParkCompanyQueryParam dtParkCompanyQueryParam);

}
