package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtParkInfoDraftQueryParam;
import com.xdf.creative.base.vo.dt.DtParkInfoDraftDetailVo;
import com.xdf.creative.base.vo.dt.DtParkInfoDraftQueryVo;
import com.xdf.creative.module.entity.DtParkInfoDraft;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 园区表_syr made Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Repository
public interface DtParkInfoDraftMapper extends BaseMapper<DtParkInfoDraft> {


    /**
     * 获取修改详情
     * @param id
     * @return
     */
    DtParkInfoDraftDetailVo getParkDraf(Serializable id);




    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtParkInfoDraftQueryVo getDtParkInfoDraftById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param dtParkInfoDraftQueryParam
     * @return
     */
    IPage<DtParkInfoDraftQueryVo> getDtParkInfoDraftPageList(@Param("page") Page page, @Param("param") DtParkInfoDraftQueryParam dtParkInfoDraftQueryParam);

}
