package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.ParkDataTeamQueryParam;
import com.xdf.creative.base.params.dt.ParkDataTeamWebParam;
import com.xdf.creative.base.vo.dt.ParkDataTeamQueryVo;
import com.xdf.creative.base.vo.dt.ParkDataTeamWebVo;
import com.xdf.creative.module.entity.ParkDataTeam;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 园区表_syr made Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Repository
public interface ParkDataTeamMapper extends BaseMapper<ParkDataTeam> {


    /**
     * 首页查询园区列表
     * @param parkDataTeamWebParam
     * @return
     */
    IPage<ParkDataTeamWebVo> getWebPageList(@Param("page") Page page, @Param("param") ParkDataTeamWebParam parkDataTeamWebParam);

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    ParkDataTeamQueryVo getParkDataTeamById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param parkDataTeamQueryParam
     * @return
     */
    IPage<ParkDataTeamQueryVo> getParkDataTeamPageList(@Param("page") Page page, @Param("param") ParkDataTeamQueryParam parkDataTeamQueryParam);

}
