package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.DtInfoAuditBackParam;
import com.xdf.creative.base.params.dt.DtInfoAuditQueryAuiditParam;
import com.xdf.creative.base.params.dt.DtInfoAuditQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.DtInfoAuditBackVo;
import com.xdf.creative.base.vo.dt.DtInfoAuditQueryVo;
import com.xdf.creative.module.entity.DtInfoAudit;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 基本信息审核表 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
public interface DtInfoAuditService extends BaseService<DtInfoAudit> {



    /**
     * 获取企业审核信息  新建基本信息（按类型判断）
     *
     * @return
     */
    ApiResult getOrganizeAuditInfo();

    /**
     * 用户提交审核信息
     * @return
     */
    ApiResult submitAuditInfo();

    /**
     * 审核基本信息
     *
     * @param dtInfoAuditQueryAuiditParam
     * @return
     */
    ApiResult auditInfo(DtInfoAuditQueryAuiditParam dtInfoAuditQueryAuiditParam);


    /**
     * 后台审核自主信息列表
     * @param dtInfoAuditBackParam
     * @return
     */

    PageTool<DtInfoAuditBackVo> getAuditPageList(DtInfoAuditBackParam dtInfoAuditBackParam) throws Exception;



    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtInfoAuditQueryVo getDtInfoAuditById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param dtInfoAuditQueryParam
     * @return
     */
    PageTool<DtInfoAuditQueryVo> getDtInfoAuditPageList(DtInfoAuditQueryParam dtInfoAuditQueryParam) throws Exception;

}
