package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.*;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.DtParkActivityBackVo;
import com.xdf.creative.base.vo.dt.DtParkActivityQueryVo;
import com.xdf.creative.base.vo.dt.DtParkActivityWebVo;
import com.xdf.creative.module.entity.DtParkActivity;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 园区活动 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
public interface DtParkActivityService extends BaseService<DtParkActivity> {



    /**
     * 增加园区活动
     *
     * @param dtParkActivityAddParam
     * @return
     */
    ApiResult addParkActivity(DtParkActivityAddParam dtParkActivityAddParam);


    /**
     * 更新园区活动
     *
     * @param dtParkActivityUpdateParam
     * @return
     */
    ApiResult updateParkActivity(DtParkActivityUpdateParam dtParkActivityUpdateParam);



    /**
     *获取园区活动信息带附件
     * @param id
     * @return
     */
    ApiResult getParkActivityInfo(Serializable id);




    /**
     * 获取分页对象
     * 后台获取活动列表
     * @param dtParkActivitBackParam
     * @return
     */
    PageTool<DtParkActivityBackVo> getBackPageList(DtParkActivitBackParam dtParkActivitBackParam) throws Exception;



    /**
     * 首页获取活动列表
     *
     * @param dtParkActivitWebParam
     * @return
     */
    PageTool<DtParkActivityWebVo> getWebPageList(DtParkActivitWebParam dtParkActivitWebParam) throws Exception;




    /**
     * 用户获取活动列表
     *
     * @param dtParkActivitWebParam
     * @return
     */
    PageTool<DtParkActivityWebVo> getUserPageList(DtParkActivitWebParam dtParkActivitWebParam) throws Exception;


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtParkActivityQueryVo getDtParkActivityById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param dtParkActivityQueryParam
     * @return
     */
    PageTool<DtParkActivityQueryVo> getDtParkActivityPageList(DtParkActivityQueryParam dtParkActivityQueryParam) throws Exception;

}
