package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.DtParkInfoDraftQueryParam;
import com.xdf.creative.base.params.dt.DtParkInfoDraftUpdateParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.DtParkInfoDraftQueryVo;
import com.xdf.creative.module.entity.DtParkInfoDraft;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 园区表_syr made 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
public interface DtParkInfoDraftService extends BaseService<DtParkInfoDraft> {


    /**
     * 修改园区信息
     * @param dtParkInfoDraftUpdateParam
     * @return
     * @throws Exception
     */
    ApiResult updateParkInfoDraf(DtParkInfoDraftUpdateParam dtParkInfoDraftUpdateParam) throws Exception;

    /**
     * 获取修改详情
     * @param
     * @return
     * @throws Exception
     */
    ApiResult getParkDraf(Long companyId) throws Exception;



    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtParkInfoDraftQueryVo getDtParkInfoDraftById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param dtParkInfoDraftQueryParam
     * @return
     */
    PageTool<DtParkInfoDraftQueryVo> getDtParkInfoDraftPageList(DtParkInfoDraftQueryParam dtParkInfoDraftQueryParam) throws Exception;

}
