package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.ParkDataTeamQueryParam;
import com.xdf.creative.base.params.dt.ParkDataTeamWebParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.ParkDataTeamQueryVo;
import com.xdf.creative.base.vo.dt.ParkDataTeamWebVo;
import com.xdf.creative.module.entity.ParkDataTeam;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 园区表_syr made 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
public interface ParkDataTeamService extends BaseService<ParkDataTeam> {

    /**
     * 首页查询园区列表
     * @param parkDataTeamWebParam
     * @return
     */
    PageTool<ParkDataTeamWebVo> getWebPageList(ParkDataTeamWebParam parkDataTeamWebParam) throws Exception;



    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    ParkDataTeamQueryVo getParkDataTeamById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param parkDataTeamQueryParam
     * @return
     */
    PageTool<ParkDataTeamQueryVo> getParkDataTeamPageList(ParkDataTeamQueryParam parkDataTeamQueryParam) throws Exception;

}
