package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtActivityAttachmentQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.dt.DtActivityAttachmentQueryVo;
import com.xdf.creative.module.entity.DtActivityAttachment;
import com.xdf.creative.module.mapper.DtActivityAttachmentMapper;
import com.xdf.creative.module.service.DtActivityAttachmentService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 园区活动板块附件 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class DtActivityAttachmentServiceImpl extends BaseServiceImpl<DtActivityAttachmentMapper, DtActivityAttachment> implements DtActivityAttachmentService {

    @Autowired
    private DtActivityAttachmentMapper dtActivityAttachmentMapper;

    @Override
    public DtActivityAttachmentQueryVo getDtActivityAttachmentById(Serializable id) throws Exception {
        return dtActivityAttachmentMapper.getDtActivityAttachmentById(id);
    }

    @Override
    public PageTool<DtActivityAttachmentQueryVo> getDtActivityAttachmentPageList(DtActivityAttachmentQueryParam dtActivityAttachmentQueryParam) throws Exception {
        Page page = setPageParam(dtActivityAttachmentQueryParam);
        IPage<DtActivityAttachmentQueryVo> iPage = dtActivityAttachmentMapper.getDtActivityAttachmentPageList(page, dtActivityAttachmentQueryParam);
        return new PageTool(iPage);
    }

}
