package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtParkCompanyQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.dt.DtParkCompanyQueryVo;
import com.xdf.creative.enums.StateEnum;
import com.xdf.creative.module.entity.DtParkCompany;
import com.xdf.creative.module.mapper.DtParkCompanyMapper;
import com.xdf.creative.module.service.DtParkCompanyService;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 园区企业申诉文件 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-04-20
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class DtParkCompanyServiceImpl extends BaseServiceImpl<DtParkCompanyMapper, DtParkCompany> implements DtParkCompanyService {

    @Autowired
    private DtParkCompanyMapper dtParkCompanyMapper;

    @Override
    public ApiResult add(DtParkCompany dtParkCompany) {
        DtParkCompany dtParkCompanyNew = new DtParkCompany();
        BeanUtils.copyProperties(dtParkCompany,dtParkCompanyNew);
        dtParkCompanyNew.setCreateUserId(getUserId());
        dtParkCompanyNew.setCreateTime(new Date());
        dtParkCompanyNew.setOrganizeId(getOrganizeId());
        dtParkCompanyNew.setState(StateEnum.ENABLE.getKey());
        this.saveOrUpdate(dtParkCompanyNew);
        return ApiResult.ok();
    }

    @Override
    public DtParkCompanyQueryVo getDtParkCompanyById(Serializable id) throws Exception {
        return dtParkCompanyMapper.getDtParkCompanyById(id);
    }

    @Override
    public PageTool<DtParkCompanyQueryVo> getDtParkCompanyPageList(DtParkCompanyQueryParam dtParkCompanyQueryParam) throws Exception {
        Page page = setPageParam(dtParkCompanyQueryParam);
        IPage<DtParkCompanyQueryVo> iPage = dtParkCompanyMapper.getDtParkCompanyPageList(page, dtParkCompanyQueryParam);
        return new PageTool(iPage);
    }

}
