package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.ParkDataTeamQueryParam;
import com.xdf.creative.base.params.dt.ParkDataTeamWebParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.dt.ParkDataTeamQueryVo;
import com.xdf.creative.base.vo.dt.ParkDataTeamWebVo;
import com.xdf.creative.module.entity.ParkDataTeam;
import com.xdf.creative.module.mapper.ParkDataTeamMapper;
import com.xdf.creative.module.service.ParkDataTeamService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 园区表_syr made 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class ParkDataTeamServiceImpl extends BaseServiceImpl<ParkDataTeamMapper, ParkDataTeam> implements ParkDataTeamService {

    @Autowired
    private ParkDataTeamMapper parkDataTeamMapper;

    /**
     * 园区首页列表显示
     * @param parkDataTeamWebParam
     * @return
     * @throws Exception
     */
    @Override
    public PageTool<ParkDataTeamWebVo> getWebPageList(ParkDataTeamWebParam parkDataTeamWebParam) throws Exception{
        Page page = setPageParam(parkDataTeamWebParam);
        IPage<ParkDataTeamWebVo> iPage = parkDataTeamMapper.getWebPageList (page, parkDataTeamWebParam);
        return new PageTool(iPage);
    }




    @Override
    public ParkDataTeamQueryVo getParkDataTeamById(Serializable id) throws Exception {
        return parkDataTeamMapper.getParkDataTeamById(id);
    }

    @Override
    public PageTool<ParkDataTeamQueryVo> getParkDataTeamPageList(ParkDataTeamQueryParam parkDataTeamQueryParam) throws Exception {
        Page page = setPageParam(parkDataTeamQueryParam);
        IPage<ParkDataTeamQueryVo> iPage = parkDataTeamMapper.getParkDataTeamPageList(page, parkDataTeamQueryParam);
        return new PageTool(iPage);
    }

}
